directory-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pierre-Arnaud Marcelot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (DIRSERVER-1629) Version 5.5 of ActiveMQ used in protocol-ldap is compiled with java 1.6
Date Thu, 23 Jun 2011 17:09:47 GMT

    [ https://issues.apache.org/jira/browse/DIRSERVER-1629?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13053973#comment-13053973
] 

Pierre-Arnaud Marcelot commented on DIRSERVER-1629:
---------------------------------------------------

I confirm the issue.

ApacheDS will crash at startup if and only if it is running on a Java 5 JVM *AND* replication
has been activated.
Here's the generated log in that case:
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
| wrapper  | 2011/06/23 19:05:59 | --> Wrapper Started as Service
STATUS | wrapper  | 2011/06/23 19:05:59 | Launching a JVM...
INFO   | jvm 1    | 2011/06/23 19:06:05 | Wrapper (Version 3.2.3) http://wrapper.tanukisoftware.org
INFO   | jvm 1    | 2011/06/23 19:06:05 |   Copyright 1999-2006 Tanuki Software, Inc.  All
Rights Reserved.
INFO   | jvm 1    | 2011/06/23 19:06:05 | 
INFO   | jvm 1    | 2011/06/23 19:06:16 | [19:06:16] WARN [org.apache.directory.server.core.DefaultDirectoryService]
- You didn't change the admin password of directory service instance 'default'.  Please update
the admin password as soon as possible to prevent a possible security breach.
INFO   | jvm 1    | 2011/06/23 19:06:16 |            _                     _          ____
 ____   
INFO   | jvm 1    | 2011/06/23 19:06:16 |           / \   _ __    ___  ___| |__   ___|  _
\/ ___|  
INFO   | jvm 1    | 2011/06/23 19:06:16 |          / _ \ | '_ \ / _` |/ __| '_ \ / _ \ | |
\___ \  
INFO   | jvm 1    | 2011/06/23 19:06:16 |         / ___ \| |_) | (_| | (__| | | |  __/ |_|
|___) | 
INFO   | jvm 1    | 2011/06/23 19:06:16 |        /_/   \_\ .__/ \__,_|\___|_| |_|\___|____/|____/
 
INFO   | jvm 1    | 2011/06/23 19:06:16 |                |_|                             
         
INFO   | jvm 1    | 2011/06/23 19:06:16 | 
INFO   | jvm 1    | 2011/06/23 19:06:17 | Error in WrapperListener.start callback.  java.lang.UnsupportedClassVersionError:
Bad version number in .class file
INFO   | jvm 1    | 2011/06/23 19:06:17 | java.lang.UnsupportedClassVersionError: Bad version
number in .class file
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.lang.ClassLoader.defineClass1(Native Method)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.lang.ClassLoader.defineClass(Unknown Source)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.security.SecureClassLoader.defineClass(Unknown
Source)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.net.URLClassLoader.defineClass(Unknown
Source)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.net.URLClassLoader.access$100(Unknown Source)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.net.URLClassLoader$1.run(Unknown Source)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.security.AccessController.doPrivileged(Native
Method)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.net.URLClassLoader.findClass(Unknown Source)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.lang.ClassLoader.loadClass(Unknown Source)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at sun.misc.Launcher$AppClassLoader.loadClass(Unknown
Source)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.lang.ClassLoader.loadClass(Unknown Source)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at java.lang.ClassLoader.loadClassInternal(Unknown
Source)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at org.apache.directory.server.ldap.replication.SyncReplRequestHandler.init(SyncReplRequestHandler.java:158)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at org.apache.directory.server.ldap.LdapServer.start(LdapServer.java:489)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at org.apache.directory.server.ApacheDsService.startLdap(ApacheDsService.java:350)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at org.apache.directory.server.ApacheDsService.start(ApacheDsService.java:166)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at org.apache.directory.server.ApacheDsTanukiWrapper.start(ApacheDsTanukiWrapper.java:71)
INFO   | jvm 1    | 2011/06/23 19:06:17 | 	at org.tanukisoftware.wrapper.WrapperManager$12.run(WrapperManager.java:2788)
STATUS | wrapper  | 2011/06/23 19:06:14 | <-- Wrapper Stopped
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


In the case where replication is not enable, ApacheDS works fine (even on a Java 5 JVM).

> Version 5.5 of ActiveMQ used in protocol-ldap is compiled with java 1.6
> -----------------------------------------------------------------------
>
>                 Key: DIRSERVER-1629
>                 URL: https://issues.apache.org/jira/browse/DIRSERVER-1629
>             Project: Directory ApacheDS
>          Issue Type: Bug
>    Affects Versions: 2.0.0-M1
>            Reporter: Kiran Ayyagari
>            Assignee: Kiran Ayyagari
>             Fix For: 2.0.0-M2
>
>
> The fix is to either downgrade the ActiveMQ version used to 5.4.2 or change the required
java runtime version for ApacheDS to 1.6

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message